#
# spec file for package brise
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           brise
Version:        20230603+git.5fdd2d6
Release:        3.1
Summary:        Rime Input Schemas Collection
License:        GPL-3.0-or-later
Group:          System/I18n/Chinese
URL:            https://github.com/rime/brise
Source:         brise-%{version}.tar.xz
Source99:       README
BuildRequires:  golang(API) >= 1.17


%description
Rime is an Traditional Chinese input method engine.
Its idea comes from ancient Chinese brush and carving art.
Mainly it's about to express your thinking with your keystrokes.

Brise is the input schemas collection of Rime.

%package -n rime-schema-default
Summary:        Default/Preset collection of rime schemas
Group:          System/I18n/Chinese
Requires:       rime-schema-bopomofo
Requires:       rime-schema-cangjie
Requires:       rime-schema-custom
Requires:       rime-schema-essay
Requires:       rime-schema-luna-pinyin
Requires:       rime-schema-prelude
Requires:       rime-schema-stroke
Requires:       rime-schema-terra-pinyin
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-default
Default/Preset collection of rime schemas.

%package -n rime-schema-extra
Summary:        Extra collection of rime schemas
Group:          System/I18n/Chinese
Requires:       rime-schema-array
Requires:       rime-schema-cantonese
Requires:       rime-schema-combo-pinyin
Requires:       rime-schema-double-pinyin
Requires:       rime-schema-emoji
Requires:       rime-schema-essay-simp
Requires:       rime-schema-ipa
Requires:       rime-schema-middle-chinese
Requires:       rime-schema-pinyin-simp
Requires:       rime-schema-quick
Requires:       rime-schema-scj
Requires:       rime-schema-soutzoe
Requires:       rime-schema-stenotype
Requires:       rime-schema-wubi
Requires:       rime-schema-wugniu
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-extra
Extra collection of rime schemas.

%package -n rime-schema-all
Summary:        All rime input schemas
Group:          System/I18n/Chinese
Requires:       rime-schema-bopomofo
Requires:       rime-schema-cangjie
Requires:       rime-schema-custom
Requires:       rime-schema-essay
Requires:       rime-schema-luna-pinyin
Requires:       rime-schema-prelude
Requires:       rime-schema-stroke
Requires:       rime-schema-terra-pinyin
Requires:       rime-schema-array
Requires:       rime-schema-cantonese
Requires:       rime-schema-combo-pinyin
Requires:       rime-schema-double-pinyin
Requires:       rime-schema-emoji
Requires:       rime-schema-essay-simp
Requires:       rime-schema-ipa
Requires:       rime-schema-middle-chinese
Requires:       rime-schema-pinyin-simp
Requires:       rime-schema-quick
Requires:       rime-schema-scj
Requires:       rime-schema-soutzoe
Requires:       rime-schema-stenotype
Requires:       rime-schema-wubi
Requires:       rime-schema-wugniu
Provides:       brise = %{version}
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-all
All rime input schemas.

%package -n rime-schema-bopomofo
Summary:        bopomofo input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-bopomofo
bopomofo input schema for rime.

%package -n rime-schema-cangjie
Summary:        cangjie input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-cangjie
cangjie input schema for rime.

%package -n rime-schema-custom
Summary:        basic schema to customize rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-custom
basic schema to customize rime.

%package -n rime-schema-essay
Summary:        essay input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-essay
essay input schema for rime.

%package -n rime-schema-essay-simp
Summary:        simplified essay input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-essay-simp
simplified essay input schema for rime.

%package -n rime-schema-luna-pinyin
Summary:        luna-pinyin input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-luna-pinyin
luna-pinyin input schema for rime.

%package -n rime-schema-prelude
Summary:        prelude input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-prelude
prelude input schema for rime.

%package -n rime-schema-stroke
Summary:        stroke input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-stroke
stroke input schema for rime.

%package -n rime-schema-terra-pinyin
Summary:        terra-pinyin input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-terra-pinyin
terra-pinyin input schema for rime.

%package -n rime-schema-array
Summary:        array input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-array
array input schema for rime.

%package -n rime-schema-cantonese
Summary:        cantonese input schema for rime
Group:          System/I18n/Chinese
BuildArch:      noarch
Provides:       rime-schema-jyutping > 20230528+git.cece251
Obsoletes:      rime-schema-jyutping <= 20230528+git.cece251
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e

%description -n rime-schema-cantonese
cantonese(jyutping) input schema for rime.

%package -n rime-schema-combo-pinyin
Summary:        combo-pinyin input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-combo-pinyin
combo-pinyin input schema for rime.

%package -n rime-schema-double-pinyin
Summary:        double-pinyin input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-double-pinyin
double-pinyin input schema for rime.

%package -n rime-schema-emoji
Summary:        emoji input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-emoji
emoji input schema for rime.

%package -n rime-schema-ipa
Summary:        ipa input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-ipa
ipa input schema for rime.

%package -n rime-schema-middle-chinese
Summary:        middle-chinese input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-middle-chinese
middle-chinese input schema for rime.

%package -n rime-schema-pinyin-simp
Summary:        pinyin-simp input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-pinyin-simp
pinyin-simp input schema for rime.

%package -n rime-schema-quick
Summary:        quick input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-quick
quick input schema for rime.

%package -n rime-schema-scj
Summary:        scj input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-scj
scj input schema for rime.

%package -n rime-schema-soutzoe
Summary:        soutzoe input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-soutzoe
soutzoe input schema for rime.

%package -n rime-schema-stenotype
Summary:        stenotype input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-stenotype
stenotype input schema for rime.

%package -n rime-schema-wubi
Summary:        wubi input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-wubi
wubi input schema for rime.

%package -n rime-schema-wugniu
Summary:        wugniu input schema for rime
Group:          System/I18n/Chinese
Obsoletes:      brise <= 0.39+git20190120.8d5bc2e
BuildArch:      noarch

%description -n rime-schema-wugniu
wugniu input schema for rime.

%prep
%setup -q
echo %{_builddir}

%build

%install
mkdir -p %{buildroot}%{_datadir}/rime-data
cp -r package/rime/custom/*.recipe.yaml %{buildroot}%{_datadir}/rime-data
rm -rf package
rm -rf config.txt
cp -r * %{buildroot}%{_datadir}/rime-data

%files -n rime-schema-default
%dir %{_datadir}/rime-data

%files -n rime-schema-extra
%dir %{_datadir}/rime-data

%files -n rime-schema-all
%dir %{_datadir}/rime-data

%files -n rime-schema-bopomofo
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/bopomofo*.yaml
%{_datadir}/rime-data/zhuyin.yaml

%files -n rime-schema-cangjie
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/cangjie*.yaml

%files -n rime-schema-custom
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/add.recipe.yaml
%{_datadir}/rime-data/clear_schema_list.recipe.yaml
%{_datadir}/rime-data/set.recipe.yaml
%{_datadir}/rime-data/use_key_bindings.recipe.yaml
%{_datadir}/rime-data/use_switch_key.recipe.yaml
%{_datadir}/rime-data/use_symbols.recipe.yaml

%files -n rime-schema-essay
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/essay.txt
%{_datadir}/rime-data/essay-cantonese.txt

%files -n rime-schema-essay-simp
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/essay-zh-hans.txt

%files -n rime-schema-luna-pinyin
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/luna_pinyin*.yaml
%{_datadir}/rime-data/pinyin.yaml
%{_datadir}/rime-data/luna_quanpin*.yaml

%files -n rime-schema-prelude
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/default.yaml
%{_datadir}/rime-data/key_bindings.yaml
%{_datadir}/rime-data/punctuation.yaml
%{_datadir}/rime-data/symbols.yaml

%files -n rime-schema-stroke
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/stroke*.yaml

%files -n rime-schema-terra-pinyin
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/terra_pinyin*.yaml

%files -n rime-schema-array
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/array*.yaml

%files -n rime-schema-cantonese
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/jyut6ping3*.yaml
%{_datadir}/rime-data/symbols_cantonese.yaml

%files -n rime-schema-combo-pinyin
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/combo_pinyin*.yaml

%files -n rime-schema-double-pinyin
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/double_pinyin*.yaml

%files -n rime-schema-emoji
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/emoji*.yaml

%files -n rime-schema-ipa
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/ipa*.yaml

%files -n rime-schema-middle-chinese
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/sampheng*.yaml
%{_datadir}/rime-data/zyenpheng*.yaml

%files -n rime-schema-pinyin-simp
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/pinyin_simp*.yaml

%files -n rime-schema-quick
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/quick*.yaml

%files -n rime-schema-scj
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/scj*.yaml

%files -n rime-schema-soutzoe
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/soutzoe*.yaml

%files -n rime-schema-stenotype
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/stenotype*.yaml

%files -n rime-schema-wubi
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/wubi*.yaml

%files -n rime-schema-wugniu
%dir %{_datadir}/rime-data
%{_datadir}/rime-data/wugniu*.yaml

%changelog
* Thu Jan  2 2025 Cliff Zhao <qzhao@suse.com>
- Split rime-plum-go out of brise:
  * go-git is rime-plum-go's component, it meet security issue of
    the argument injection vulnerability, when rime-plum-go deliver
    under brise's source code, it is hard to update seperately.
  * rime-plum-go is a separate project and has a different upstream.
  * I have done my best to keep the original code the same in
    respect of Marguerite's hard work.
  (CVE-2025-2161, bsc#1235573)
* Mon Sep  4 2023 Cliff Zhao <qzhao@suse.com>
- Update brise.spec:
  * Add Conflicts condition to insure brise could update successfully
    from brise binary rpm, for SUSE:SLE-SP6 update.
  * Replace rime-schema-all dependence to real package name to
    avoid 2 level of virtual packages when it installed.
* Sat Jun  3 2023 Marguerite Su <i@marguerite.su>
- update brise 20230603+git.5fdd2d6
  * replace io/ioutil usage
  * deprecate rime-jyutping with rime-cantonese
  * add rime-custom
* Mon May 29 2023 Marguerite Su <i@marguerite.su>
- update brise 20230528+git.cece251
  * rime-plum-go supports github's "main" default branch
  * brise data is updated to 20230528
* Tue May 25 2021 Marguerite Su <i@marguerite.su>
- don't install .bin files in build
* Tue May 25 2021 Marguerite Su <i@marguerite.su>
- update brise 20210525+git4f7fc2a
  * revamped rime-plum-go with CLI ui support via "--select"
    rime-plum-go is totally compatible with upstream plum and
    the go version respects "rime_dir" "rime_frontend" environment
    variables and "http_proxy"/"https_proxy" proxies.
  * brise data is updated to 20210525
* Sun May  9 2021 Fusion Future <qydwhotmail@gmail.com>
- revert "remove rime-plum in package brise and ready to move it into a new package for easier maintenance"
* Thu May  6 2021 Fusion Future <qydwhotmail@gmail.com>
- remove rime-plum in package brise and ready to move it into a new package for easier maintenance
* Sat Oct 10 2020 Marguerite Su <i@marguerite.su>
- split brise to rime-schema-*
* Sun Sep 27 2020 Marguerite Su <i@marguerite.su>
- update rime-plum-go.tar.xz, fix tw build
* Sat Jul 20 2019 Marguerite Su <i@marguerite.su>
- update 0.39+git20190120.8d5ec2e
  * brise was deprecated since plum came out. openSUSE still
    provides brise but it is just a collection of ":all"
    schema set fetched by plum. the version will just
    indicate the time when maintainer updates the package
    from now on, because every schema has a separate git
    repository and no way to get a version. but we'd better
    collect some major changes from these repositories and
    list here.
* Mon Mar 14 2016 qzhao@suse.com
- Make sure source code's LICENSE file install by default.
* Wed Mar  2 2016 i@marguerite.su
- Update to version 0.36+git20160221.7dbd56b
* Wed Aug 12 2015 i@marguerite.su
- update version 0.36+git20150729.5c8435e
* Sun Aug 10 2014 i@marguerite.su
- update version 0.35+git20140810
  * default.yaml: add switch 'ascii_punct' to switch on and off Chinese
    punctuations; add hotkey Control+. to toggle ascii_punct;
    add hotkey Control+h for BackSpace, Control+[ for Escape;
    clear unfinished input when switching off Chinese mode with Caps Lock;
    enable folded options in schema list, press space key to unfold.
  * essay.txt: replaces essay.kct in installed files; fix bugs.
  * symbols.yaml: /bdz for Chinese punctuations in vertical writing.
  * stroke.dict.yaml: adopt BSD license as approved by its original author.
  * combo_pinyin: silently ignore invalid chords.
  * luna_pinyin_fluency: input various numeric characters with /0 ~ /10.
  * luna_pinyin, terra_pinyin, emoji, stroke, zyenpheng: update tables.
* Sat Mar 15 2014 i@marguerite.su
- update version 0.33git20140315
  * symbols.yaml: rearranged symbol table by Patricivs.
  * emoji: more Emoji symbols; support tips and alternative spellings.
  * jyutping: include more Cantonese phrases.
  * essay.txt, luna_pinyin, terra_pinyin: lots of improvements.
  * many other bugfixes since then.
* Mon Nov 11 2013 i@marguerite.su
- update version 0.30
  * default.yaml, symbols.yaml: prefer middle dot U+00B7 to U+30FB.
  * bopomofo_tw: bopomofo, output in Taiwan standard.
  * jyutping: include more characters.
  * luna_pinyin_simp: enable hotkey Control+Shift+4 to toggle
    simplified/traditional Chinese mode.
  * essay.txt, luna_pinyin, terra_pinyin: lots of improvements.
* Sat Jun 29 2013 i@marguerite.su
- update version 0.22
  * essay.txt, luna_pinyin, terra_pinyin: lots of bug-fixes.
  * wubi86: auto-commit complete words. (max_code_length: 4)
  * luna_pinyin*: enable user created custom_phrase.txt (rime>=0.9.9)
* Fri Feb  1 2013 i@marguerite.su
- although this package only have a /usr/share/rime-data,
  but it need building, 32-bit and 64-bit results are different.
  So remove BuildArch: noarch tag to fix ibus/fcitx-rime crash.
* Thu Oct 11 2012 i@marguerite.su
- update version 0.13
  * install data files from a separate package.
  * update: luna_pinyin, terra_pinyin, jyutping tables.
  * update: essay database.
  * new schema: emoji.
* Sat Jul 21 2012 i@marguerite.su
- initial version 0.9.2
  * chord-typing support: combine multiple keys to compose a syllable at once.
  * configuration: global page_size setting.
  * inline mode: extend the API to support inline mode.
  * table translator: add option to filter candidates by character set.
  * user dictionary: automatic recovery for corrupted databases.
  * user dictionary: fixed a bug that was responsible for missing user phrases.
  * rime_deployer: a utility program to prepare Rime's workspace.
  * rime_dict_manager: a utility program to import/export user dictionaries.
  * librime package: include 'brise', a collection of preset schemata in the package.
  * new schema: Middle Chinese Phonetic Transcription.
  * new schema: IPA input method in X-SAMPA.
